Package org.drinkless.tdlib

# Class TdApi.MessageSendingStateFailed

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.MessageSendingState
org.drinkless.tdlib.TdApi.MessageSendingStateFailed

Enclosing class:
  `TdApi`

public static class TdApi.MessageSendingStateFailed extends TdApi.MessageSendingState
The message failed to be sent.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.MessageSendingState

  `TdApi.MessageSendingState.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `boolean`
  `canRetry`
  True, if the message can be re-sent using resendMessages or readdQuickReplyShortcutMessages.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.Error`
  `error`
  The cause of the message sending failure.
  `boolean`
  `needAnotherReplyQuote`
  True, if the message can be re-sent only if another quote is chosen in the message that is replied by the given message.
  `boolean`
  `needAnotherSender`
  True, if the message can be re-sent only on behalf of a different sender.
  `boolean`
  `needDropReply`
  True, if the message can be re-sent only if the message to be replied is removed.
  `long`
  `requiredPaidMessageStarCount`
  The number of Telegram Stars that must be paid to send the message; 0 if the current amount is correct.
  `double`
  `retryAfter`
  Time left before the message can be re-sent, in seconds.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MessageSendingStateFailed()`
  The message failed to be sent.
  `MessageSendingStateFailed(TdApi.Error error, boolean canRetry, boolean needAnotherSender, boolean needAnotherReplyQuote, boolean needDropReply, long requiredPaidMessageStarCount, double retryAfter)`
  The message failed to be sent.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### error

    public TdApi.Error error
    The cause of the message sending failure.

  - ### canRetry

    public boolean canRetry
    True, if the message can be re-sent using resendMessages or readdQuickReplyShortcutMessages.

  - ### needAnotherSender

    public boolean needAnotherSender
    True, if the message can be re-sent only on behalf of a different sender.

  - ### needAnotherReplyQuote

    public boolean needAnotherReplyQuote
    True, if the message can be re-sent only if another quote is chosen in the message that is replied by the given message.

  - ### needDropReply

    public boolean needDropReply
    True, if the message can be re-sent only if the message to be replied is removed. This will be done automatically by resendMessages.

  - ### requiredPaidMessageStarCount

    public long requiredPaidMessageStarCount
    The number of Telegram Stars that must be paid to send the message; 0 if the current amount is correct.

  - ### retryAfter

    public double retryAfter
    Time left before the message can be re-sent, in seconds. No update is sent when this field changes.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### MessageSendingStateFailed

    public MessageSendingStateFailed()
    The message failed to be sent.

  - ### MessageSendingStateFailed

    public MessageSendingStateFailed(TdApi.Error error, boolean canRetry, boolean needAnotherSender, boolean needAnotherReplyQuote, boolean needDropReply, long requiredPaidMessageStarCount, double retryAfter)
    The message failed to be sent.
    Parameters:
      `error` - The cause of the message sending failure.
      `canRetry` - True, if the message can be re-sent using resendMessages or readdQuickReplyShortcutMessages.
      `needAnotherSender` - True, if the message can be re-sent only on behalf of a different sender.
      `needAnotherReplyQuote` - True, if the message can be re-sent only if another quote is chosen in the message that is replied by the given message.
      `needDropReply` - True, if the message can be re-sent only if the message to be replied is removed. This will be done automatically by resendMessages.
      `requiredPaidMessageStarCount` - The number of Telegram Stars that must be paid to send the message; 0 if the current amount is correct.
      `retryAfter` - Time left before the message can be re-sent, in seconds. No update is sent when this field changes.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.MessageSendingState`
    Returns:
      this.CONSTRUCTOR